import { Renderer2, AfterContentInit } from '@angular/core';
import { Config } from '../../spinner.types';
import { SpinnerService } from '../../spinner.service';
import * as i0 from "@angular/core";
export declare class SpinnerTilesNoDataComponent implements AfterContentInit {
    spinnerService: SpinnerService;
    protected renderer: Renderer2;
    placeholderTileClassNames: Array<string>;
    isOpened: boolean;
    private spinnerEventSubscription;
    private logger;
    placement: string;
    config: Config;
    toggleFadeElement: any;
    autoopen: boolean;
    constructor(spinnerService: SpinnerService, renderer: Renderer2);
    toggleElement(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpinnerTilesNoDataComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpinnerTilesNoDataComponent, "epom-spinner-tiles-no-data", never, { "placement": "placement"; "config": "config"; "toggleFadeElement": "toggleFadeElement"; "autoopen": "autoopen"; }, {}, never, never, false>;
}
